Package com.io7m.cedarbridge.schema.typer.api

# Record Class CBTypesForProtocolVersion

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.schema.typer.api.CBTypesForProtocolVersion

Record Components:
  `types` - The types

public record CBTypesForProtocolVersion(Set<CBASTTypeName> types) extends Record
The evaluated set of types present in a protocol version.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBTypesForProtocolVersion(Set<CBASTTypeName> types)`
  The evaluated set of types present in a protocol version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `Set<CBASTTypeName>`
  `types()`
  Returns the value of the `types` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBTypesForProtocolVersion

    public CBTypesForProtocolVersion(Set<CBASTTypeName> types)
    The evaluated set of types present in a protocol version.
    Parameters:
      `types` - The types

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### types

    public Set<CBASTTypeName> types()
    Returns the value of the `types` record component.
    Returns:
      the value of the `types` record component